<?php

// add to cart modal box
if ( !function_exists('cena_tbay_woocommerce_add_to_cart_modal') ) {
    function cena_tbay_woocommerce_add_to_cart_modal(){
    ?>
    <div class="modal fade" id="tbay-cart-modal" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-body">
                    <button type="button" class="close btn btn-close" data-dismiss="modal" aria-hidden="true">
                        <i class="fa fa-times"></i>
                    </button>
                    <div class="modal-body-content"></div>
                </div>
            </div>
        </div>
    </div>
    <?php    
    }
}

// cart modal
if ( !function_exists('cena_tbay_woocommerce_cart_modal') ) {
    function cena_tbay_woocommerce_cart_modal() {
        wc_get_template( 'content-product-cart-modal.php' , array( 'product_id' => (int)$_GET['product_id'] ) );
        die;
    }
}

add_action( 'wp_ajax_cena_add_to_cart_product', 'cena_tbay_woocommerce_cart_modal' );
add_action( 'wp_ajax_nopriv_cena_add_to_cart_product', 'cena_tbay_woocommerce_cart_modal' );
add_action( 'wp_footer', 'cena_tbay_woocommerce_add_to_cart_modal' );


if ( !function_exists('cena_tbay_get_products') ) {
    function cena_tbay_get_products($categories = array(), $product_type = 'featured_product', $paged = 1, $post_per_page = -1, $orderby = '', $order = '') {
        global $woocommerce, $wp_query;
        $args = array(
            'post_type' => 'product',
            'posts_per_page' => $post_per_page,
            'post_status' => 'publish',
            'paged' => $paged,
            'orderby'   => $orderby,
            'order' => $order
        );

        if ( isset( $args['orderby'] ) ) {
            if ( 'price' == $args['orderby'] ) {
                $args = array_merge( $args, array(
                    'meta_key'  => '_price',
                    'orderby'   => 'meta_value_num'
                ) );
            }
            if ( 'featured' == $args['orderby'] ) {
                $args = array_merge( $args, array(
                    'meta_key'  => '_featured',
                    'orderby'   => 'meta_value'
                ) );
            }
            if ( 'sku' == $args['orderby'] ) {
                $args = array_merge( $args, array(
                    'meta_key'  => '_sku',
                    'orderby'   => 'meta_value'
                ) );
            }
        }

        if ( !empty($categories) && is_array($categories) ) {
            $args['tax_query']    = array(
                array(
                    'taxonomy'      => 'product_cat',
                    'field'         => 'slug',
                    'terms'         => $categories,
                    'operator'      => 'IN'
                )
            );
        }

        switch ($product_type) {
            case 'best_selling':
                $args['meta_key']='total_sales';
                $args['orderby']='meta_value_num';
                $args['ignore_sticky_posts']   = 1;
                $args['meta_query'] = array();
                $args['meta_query'][] = $woocommerce->query->stock_status_meta_query();
                $args['meta_query'][] = $woocommerce->query->visibility_meta_query();
                break;
            case 'featured_product':
                $args['ignore_sticky_posts']    = 1;
                $args['meta_query']             = array();
                $args['meta_query'][]           = $woocommerce->query->stock_status_meta_query();
                $args['meta_query'][]           = $woocommerce->query->visibility_meta_query();
                $args['tax_query'][]              = array(
                    array(
                        'taxonomy' => 'product_visibility',
                        'field'    => 'name',
                        'terms'    => 'featured',
                        'operator' => 'IN'
                    )
                );
                break;
            case 'top_rate':
                add_filter( 'posts_clauses',  array( $woocommerce->query, 'order_by_rating_post_clauses' ) );
                $args['meta_query'] = array();
                $args['meta_query'][] = $woocommerce->query->stock_status_meta_query();
                $args['meta_query'][] = $woocommerce->query->visibility_meta_query();
                break;
            case 'recent_product':
                $args['meta_query'] = array();
                $args['meta_query'][] = $woocommerce->query->stock_status_meta_query();
                break;
            case 'deals':
                $args['meta_query'] = array();
                $args['meta_query'][] = $woocommerce->query->stock_status_meta_query();
                $args['meta_query'][] = $woocommerce->query->visibility_meta_query();
                $args['meta_query'][] =  array(
                    array(
                        'key'           => '_sale_price_dates_to',
                        'value'         => time(),
                        'compare'       => '>',
                        'type'          => 'numeric'
                    )
                );
                break;     
            case 'on_sale':
                $product_ids_on_sale    = wc_get_product_ids_on_sale();
                $product_ids_on_sale[]  = 0;
                $args['post__in'] = $product_ids_on_sale;
                break;
            case 'recent_review':
                if($post_per_page == -1) $_limit = 4;
                else $_limit = $post_per_page;
                global $wpdb;
                $query = "SELECT c.comment_post_ID FROM {$wpdb->prefix}posts p, {$wpdb->prefix}comments c WHERE p.ID = c.comment_post_ID AND c.comment_approved > 0 AND p.post_type = 'product' AND p.post_status = 'publish' AND p.comment_count > 0 ORDER BY c.comment_date ASC";
                $results = $wpdb->get_results($query, OBJECT);
                $_pids = array();
                foreach ($results as $re) {
                    if(!in_array($re->comment_post_ID, $_pids))
                        $_pids[] = $re->comment_post_ID;
                    if(count($_pids) == $_limit)
                        break;
                }

                $args['meta_query'] = array();
                $args['meta_query'][] = $woocommerce->query->stock_status_meta_query();
                $args['meta_query'][] = $woocommerce->query->visibility_meta_query();
                $args['post__in'] = $_pids;

                break;
        }
        
        return new WP_Query($args);
    }
}

// hooks
if ( !function_exists('cena_tbay_woocommerce_enqueue_styles') ) {
    function cena_tbay_woocommerce_enqueue_styles() {
		
		$skin = cena_tbay_get_skin();
		// Load our main stylesheet.		
		if( is_rtl() ){
		
			if ( $skin != 'default' && $skin ) {
				$css_path =  get_template_directory_uri() . '/css/skin/'.$skin.'/woocommerce.rtl.css';
			} else {
				$css_path =  get_template_directory_uri() . '/css/woocommerce.rtl.css';
			}
		}
		else{
			if ( $skin != 'default' && $skin ) {
				$css_path =  get_template_directory_uri() . '/css/skin/'.$skin.'/woocommerce.css';
			} else {
				$css_path =  get_template_directory_uri() . '/css/woocommerce.css';
			}
		}
		
        wp_enqueue_style( 'cena-woocommerce', $css_path , 'cena-woocommerce-front' , CENA_THEME_VERSION, 'all' );
		
		wp_enqueue_script( 'wc-single-product', get_template_directory_uri() . '/js/single-product.min.js', array( 'jquery' ), WC_VERSION , true ); 

        wp_enqueue_script( 'jquery-flexslider', get_template_directory_uri() . '/js/jquery.flexslider.js', array( 'jquery' ), '2.6.1', true );

        wp_enqueue_script( 'slick', get_template_directory_uri() . '/js/slick.min.js', array( 'jquery' ), '1.0.0', true );

    }
}
add_action( 'wp_enqueue_scripts', 'cena_tbay_woocommerce_enqueue_styles', 50 );

// cart
if ( !function_exists('cena_tbay_woocommerce_header_add_to_cart_fragment') ) {
    function cena_tbay_woocommerce_header_add_to_cart_fragment( $fragments ){
        global $woocommerce;
        $fragments['#cart .mini-cart-items'] =  sprintf(_n(' <span class="mini-cart-items"> %d  </span> ', ' <span class="mini-cart-items"> %d </span> ', $woocommerce->cart->cart_contents_count, 'cena'), $woocommerce->cart->cart_contents_count);
        $fragments['#cart .mini-cart-total'] = trim( $woocommerce->cart->get_cart_total() );
        return $fragments;
    }
}
add_filter('add_to_cart_fragments', 'cena_tbay_woocommerce_header_add_to_cart_fragment' );

// breadcrumb for woocommerce page
if ( !function_exists('cena_tbay_woocommerce_breadcrumb_defaults') ) {
    function cena_tbay_woocommerce_breadcrumb_defaults( $args ) {
        $breadcrumb_img = cena_tbay_get_config('woo_breadcrumb_image');
        $breadcrumb_color = cena_tbay_get_config('woo_breadcrumb_color');
        $style = array();
        $img = '';
        if( $breadcrumb_color  ){
            $style[] = 'background-color:'.$breadcrumb_color;
        }
        if ( isset($breadcrumb_img['url']) && !empty($breadcrumb_img['url']) ) {
            $img = '<img src=" '.esc_url($breadcrumb_img['url']).'" alt="">';
        }
        $estyle = !empty($style)? ' style="'.implode(";", $style).'"':"";

        $args['wrap_before'] = '<section id="tbay-breadscrumb" class="tbay-breadscrumb"><div class="container">'.$img.'<div class="breadscrumb-inner"'.$estyle.'><ol class="tbay-woocommerce-breadcrumb breadcrumb" ' . ( is_single() ? 'itemprop="breadcrumb"' : '' ) . '>';
        $args['wrap_after'] = '</ol></div></div></section>';

        return $args;
    }
}
add_filter( 'woocommerce_breadcrumb_defaults', 'cena_tbay_woocommerce_breadcrumb_defaults' );
add_action( 'cena_woo_template_main_before', 'woocommerce_breadcrumb', 30, 0 );

// display woocommerce modes
if ( !function_exists('cena_tbay_woocommerce_display_modes') ) {
    function cena_tbay_woocommerce_display_modes(){
        global $wp;
        $current_url = add_query_arg( $wp->query_string, '', home_url( $wp->request ) );
        $woo_mode = cena_tbay_woocommerce_get_display_mode();
        echo '<form action="'.  esc_url($current_url)  .'" class="display-mode" method="get">';
            echo '<button title="'.esc_html__('Grid','cena').'" class="change-view '.($woo_mode == 'grid' ? 'active' : '').'" value="grid" name="display" type="submit"><i class="fa fa-th"></i></button>';
            echo '<button title="'.esc_html__( 'List', 'cena' ).'" class="change-view '.($woo_mode == 'list' ? 'active' : '').'" value="list" name="display" type="submit"><i class="fa fa-th-list"></i></button>';  
        echo '</form>'; 
    }
}
add_action( 'woocommerce_before_shop_loop', 'cena_tbay_woocommerce_display_modes' , 2 );

if ( !function_exists('cena_tbay_woocommerce_get_display_mode') ) {
    function cena_tbay_woocommerce_get_display_mode() {
        
        $woo_mode = cena_tbay_get_config('product_display_mode', 'grid');
		if( !empty($woo_mode)) {
			$woo_mode = 'grid';
		}
		
        if ( isset($_COOKIE['cena_woo_mode']) && ($_COOKIE['cena_woo_mode'] == 'list' || $_COOKIE['cena_woo_mode'] == 'grid') ) {
            $woo_mode = $_COOKIE['cena_woo_mode'];
        }
        return $woo_mode;
    }
}


if(!function_exists('cena_tbay_filter_before')){
    function cena_tbay_filter_before(){
        echo '<div class="tbay-filter">';
    }
}
if(!function_exists('cena_tbay_filter_after')){
    function cena_tbay_filter_after(){
        echo '</div>';
    }
}
add_action( 'woocommerce_before_shop_loop', 'cena_tbay_filter_before' , 1 );
add_action( 'woocommerce_before_shop_loop', 'cena_tbay_filter_after' , 40 );

// set display mode to cookie
if ( !function_exists('cena_tbay_before_woocommerce_init') ) {
    function cena_tbay_before_woocommerce_init() {
        if( isset($_GET['display']) && ($_GET['display']=='list' || $_GET['display']=='grid') ){  
            setcookie( 'cena_woo_mode', trim($_GET['display']) , time()+3600*24*100,'/' );
            $_COOKIE['cena_woo_mode'] = trim($_GET['display']);
        }
    }
}
add_action( 'init', 'cena_tbay_before_woocommerce_init' );

// Number of products per page
if ( !function_exists('cena_tbay_woocommerce_shop_per_page') ) {
    function cena_tbay_woocommerce_shop_per_page($number) {
        $value = cena_tbay_get_config('number_products_per_page');
        if ( is_numeric( $value ) && $value ) {
            $number = absint( $value );
        }
        return $number;
    }
}
add_filter( 'loop_shop_per_page', 'cena_tbay_woocommerce_shop_per_page' );

// Number of products per row
if ( !function_exists('cena_tbay_woocommerce_shop_columns') ) {
    function cena_tbay_woocommerce_shop_columns($number) {
        $value = cena_tbay_get_config('product_columns');
        if ( in_array( $value, array(2, 3, 4, 6) ) ) {
            $number = $value;
        }
        return $number;
    }
}
add_filter( 'loop_shop_columns', 'cena_tbay_woocommerce_shop_columns' );


// swap effect
if ( !function_exists('cena_tbay_swap_images') ) {
    function cena_tbay_swap_images() {
        global $post, $product, $woocommerce;
        $placeholder_width = get_option('shop_catalog_image_size');
        $placeholder_width = $placeholder_width['width'];
        $placeholder_height = get_option('shop_catalog_image_size');
        $placeholder_height = $placeholder_height['height'];

        $output='';
        $class = 'image-no-effect';
        if (has_post_thumbnail()) {
            $attachment_ids = $product->get_gallery_image_ids();
            if ($attachment_ids && isset($attachment_ids[0])) {
                $class = 'image-hover';
                $output .= wp_get_attachment_image($attachment_ids[0],'shop_catalog',false,array('class'=>"attachment-shop_catalog image-effect"));
            }
            $output .= get_the_post_thumbnail( $post->ID,'shop_catalog',array('class'=>$class) );
        } else {
            $output .= '<img src="'.wc_placeholder_img_src().'" alt="'.esc_html__('Placeholder' , 'cena').'" class="'.$class.'" width="'.$placeholder_width.'" height="'.$placeholder_height.'" />';
        }
        echo trim($output);
    }
}

if ( cena_tbay_get_global_config('show_swap_image') ) {
    remove_action('woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_product_thumbnail', 10);
    add_action('woocommerce_before_shop_loop_item_title', 'cena_tbay_swap_images', 10);
}  

// layout class for woo page
if ( !function_exists('cena_tbay_woocommerce_content_class') ) {
    function cena_tbay_woocommerce_content_class( $class ) {
        $page = 'archive';
        if ( is_singular( 'product' ) ) {
            $page = 'single';
        }
        if( cena_tbay_get_config('product_'.$page.'_fullwidth') ) {
            return 'container-fluid';
        }
        return $class;
    }
}
add_filter( 'cena_tbay_woocommerce_content_class', 'cena_tbay_woocommerce_content_class' );

// get layout configs
if ( !function_exists('cena_tbay_get_woocommerce_layout_configs') ) {
    function cena_tbay_get_woocommerce_layout_configs() {
        $page = 'archive';
        if ( is_singular( 'product' ) ) {
            $page = 'single';
        }
        $left = cena_tbay_get_config('product_'.$page.'_left_sidebar');
        $right = cena_tbay_get_config('product_'.$page.'_right_sidebar');

        switch ( cena_tbay_get_config('product_'.$page.'_layout') ) {
            case 'left-main':
                $configs['left'] = array( 'sidebar' => $left, 'class' => 'col-xs-12 col-md-12 col-lg-3'  );
                $configs['main'] = array( 'class' => 'col-xs-12 col-md-12 col-lg-9' );
                break;
            case 'main-right':
                $configs['right'] = array( 'sidebar' => $right,  'class' => 'col-xs-12 col-md-12 col-lg-3' ); 
                $configs['main'] = array( 'class' => 'col-xs-12 col-md-12 col-lg-9' );
                break;
            case 'main':
                $configs['main'] = array( 'class' => 'col-xs-12 col-md-12' );
                break;
            case 'left-main-right':
                $configs['left'] = array( 'sidebar' => $left,  'class' => 'col-xs-12 col-md-12 col-lg-3'  );
                $configs['right'] = array( 'sidebar' => $right, 'class' => 'col-xs-12 col-md-12 col-lg-3' ); 
                $configs['main'] = array( 'class' => 'col-xs-12 col-md-12 col-lg-6' );
                break;
            default:
                $configs['main'] = array( 'class' => 'col-xs-12 col-md-12' );
                break;
        }

        return $configs; 
    }
}

// Show/Hide related, upsells products
if ( !function_exists('cena_tbay_woocommerce_related_upsells_products') ) {
    function cena_tbay_woocommerce_related_upsells_products($located, $template_name) {
        $content_none = get_template_directory() . '/woocommerce/content-none.php';
        $show_product_releated = cena_tbay_get_config('show_product_releated');
        if ( 'single-product/related.php' == $template_name ) {
            if ( !$show_product_releated  ) {
                $located = $content_none;
            }
        } elseif ( 'single-product/up-sells.php' == $template_name ) {
            $show_product_upsells = cena_tbay_get_config('show_product_upsells');
            if ( !$show_product_upsells ) {
                $located = $content_none;
            }
        }

        return apply_filters( 'cena_tbay_woocommerce_related_upsells_products', $located, $template_name );
    }
}
add_filter( 'wc_get_template', 'cena_tbay_woocommerce_related_upsells_products', 10, 2 );

if ( !function_exists( 'cena_tbay_product_review_tab' ) ) {
    function cena_tbay_product_review_tab($tabs) {
        if ( !cena_tbay_get_config('show_product_review_tab') && isset($tabs['reviews']) ) {
            unset( $tabs['reviews'] ); 
        }
        return $tabs;
    }
}
add_filter( 'woocommerce_product_tabs', 'cena_tbay_product_review_tab', 100 );

if ( !function_exists( 'cena_tbay_minicart') ) {
    function cena_tbay_minicart() {
        $template = apply_filters( 'cena_tbay_minicart_version', '' );
        get_template_part( 'woocommerce/cart/mini-cart-button', $template ); 
    }
}
// Wishlist
add_filter( 'yith_wcwl_button_label', 'cena_tbay_woocomerce_icon_wishlist'  );
add_filter( 'yith-wcwl-browse-wishlist-label', 'cena_tbay_woocomerce_icon_wishlist_add' );
function cena_tbay_woocomerce_icon_wishlist( $value='' ){
    return '<i class="fa fa-heart-o"></i><span>'.esc_html__('Wishlist','cena').'</span>';
}

function cena_tbay_woocomerce_icon_wishlist_add(){
    return '<i class="fa fa-check"></i><span>'.esc_html__('Wishlist','cena').'</span>';
}
remove_action( 'woocommerce_before_shop_loop_item', 'woocommerce_template_loop_product_link_open', 10 );
remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_product_link_close', 5 );

if (class_exists('YITH_WCQV_Frontend')) {
    remove_action( 'woocommerce_after_shop_loop_item', array( YITH_WCQV_Frontend(), 'yith_add_quick_view_button' ), 15 );
}

//remove heading tab single product
add_filter('woocommerce_product_description_heading',
'cena_product_description_heading');

function cena_product_description_heading() {
    return '';
}

// share box
if ( !function_exists('cena_tbay_woocommerce_share_box') ) {
    function cena_tbay_woocommerce_share_box() {
        if ( cena_tbay_get_config('show_product_social_share') ) {
            ?>
              <div class="tbay-social-share">
                <div class="addthis_inline_share_toolbox"></div>
              </div>
            <?php
        }
    }
}
add_filter( 'woocommerce_single_product_summary', 'cena_tbay_woocommerce_share_box', 100 );

/**
 * WooCommerce
 *
 */
if ( !function_exists('cena_woo_setup') ) {
    add_action( 'after_setup_theme', 'cena_woo_setup' );
    // add_action( 'after_switch_theme', 'cena_woo_setup' );
    function cena_woo_setup() {
        add_theme_support( 'wc-product-gallery-zoom' );
        add_theme_support( 'wc-product-gallery-lightbox' );
        add_theme_support( 'wc-product-gallery-slider' );
    }
}

if ( !function_exists('cena_woo_setup') ) {
    function cena_woo_image_size_setup() {

    	$catalog = array(
            'width'     => '427',   // px
            'height'    => '548',   // px
            'crop'      => 1        // true
        );

        $single = array(
            'width'     => '570',   // px
            'height'    => '734',   // px
            'crop'      => 1        // true
        );

        $thumbnail = array(
            'width'     => '100',    // px
            'height'    => '129',   // px
            'crop'      => 1        // true
        );

        // Image sizes
        update_option( 'shop_catalog_image_size', $catalog );       // Product category thumbs
        update_option( 'shop_single_image_size', $single );         // Single product image
        update_option( 'shop_thumbnail_image_size', $thumbnail );   // Image gallery thumbs
    }
    add_action( 'after_setup_theme', 'cena_woo_image_size_setup' );
}

if(cena_tbay_get_global_config('config_media',false)) {
    remove_action( 'after_setup_theme', 'cena_woo_image_size_setup' );
}

// Ajax Wishlist
if( defined( 'YITH_WCWL' ) && ! function_exists( 'cena_yith_wcwl_ajax_update_count' ) ){
function cena_yith_wcwl_ajax_update_count(){

    $wishlist_count = YITH_WCWL()->count_products();

    wp_send_json( array(
    'count' => $wishlist_count
    ) );
    }
    add_action( 'wp_ajax_yith_wcwl_update_wishlist_count', 'cena_yith_wcwl_ajax_update_count' );
    add_action( 'wp_ajax_nopriv_yith_wcwl_update_wishlist_count', 'cena_yith_wcwl_ajax_update_count' );
}

if ( ! function_exists( 'cena_woocommerce_saved_sales_price' ) ) {

    add_filter( 'woocommerce_get_saved_sales_price_html', 'cena_woocommerce_saved_sales_price' );

    function cena_woocommerce_saved_sales_price( $productid ) {

        $product = wc_get_product( $productid );

		
		$onsale			= $product->is_on_sale();
		$saleprice 		= $product->get_sale_price();	
		$regularprice 	= $product->get_regular_price();
		$priceDiff 		= (int)$regularprice - (int)$saleprice;
		$price 			= '';
		$price1 		= '';

		$off_content	='';
		if($priceDiff != 0){
            $price1 = '<span class="saved">'. esc_html__('Save you ', 'cena') .' <span class="price">'. sprintf( get_woocommerce_price_format(), get_woocommerce_currency_symbol(), $priceDiff ) . '</span></span>';     
            $price .= '<div class="block-save-price">'.$price1.'</div>'; 
		}
		
		// Sale price
        return $price;
		
    }
}

if ( ! function_exists( 'cena_get_column_thumbnail_images' ) ) {
    //Column of Thumbnail Images*
    function cena_get_column_thumbnail_images(){

        $number_thumbnail = cena_tbay_get_config('number_product_thumbnail', 3);

        $inlineJS = "
            jQuery(document).ready(function($) {
                $('.tbay-image-mains .flex-control-thumbs').owlCarousel({
                    items:              $number_thumbnail,
                    itemsDesktop:       [1600,4],
                    itemsDesktopSmall:  [1200,4], 
                    itemsTablet:        [800,4],
                    itemsTabletSmall:   [650,3],
                    itemsMobile:        [599,2],    
                    loop:               false,
                    dots:               false,      
                    slideSpeed:         200,
                    paginationSpeed:    800,
                    rewindSpeed:        1000,               
                    autoPlay:           false,
                    stopOnHover:        false,          
                    scrollPerPage:      false,
                    pagination:         false,
                    paginationNumbers:  false,
                    mouseDrag:          false,
                    touchDrag:          true,
                    itemsCustom :       false,
                    nav:                true,
                    navText:    ['".esc_html__("Prev","cena")."', '".esc_html__("Next","cena")."'],
                    leftOffSet:         -14,
                });
            });
        ";
        wp_add_inline_script('cena-script', $inlineJS);
    }
    // add_action('wp_head', 'cena_get_column_thumbnail_images');
}

if( ! function_exists( 'cena_brands_get_name' ) && class_exists( 'YITH_WCBR' ) ) {

    function cena_brands_get_name($product_id) {

        $terms = wp_get_post_terms($product_id,'yith_product_brand');

        $brand = '';
        if( !empty($terms) ) {

            $brand  = '<ul class="show-brand">';

            foreach ($terms as $term) {
                
                $name = $term->name;
                $url = get_term_link( $term->slug, 'yith_product_brand' );

                $brand  .= '<li><a href='. esc_url($url) .'>'. esc_html($name) .'</a></li>';

            }

            $brand  .= '</ul>';
        }

        echo  $brand;

    }

}

add_filter( 'woocommerce_add_to_cart_fragments', function($fragments) {
    ob_start();
    ?>

    <span class="mini-cart-items cart-mobile">
        <?php echo sprintf( '%d', WC()->cart->cart_contents_count );?>
    </span>

    <?php $fragments['span.cart-mobile'] = ob_get_clean();

    return $fragments;

} );

if ( ! function_exists( 'cena_woo_show_product_loop_sale_flash' ) ) {
    /*Change sales woo*/
    add_filter( 'woocommerce_sale_flash', 'cena_woo_show_product_loop_sale_flash' );
    function cena_woo_show_product_loop_sale_flash( $html ) {

        $product = wc_get_product();
        $_product_sale = $product->get_sale_price();

        if(!empty($_product_sale ))  {
            $percentage = round( ( ( $product->get_regular_price() - $product->get_sale_price() ) / $product->get_regular_price() ) * 100 );
            $percentage = '-  ' . trim( $percentage ) . '%';
                     
        } else {
            $percentage = esc_html__( 'Sale', 'cena' );
        }

        return str_replace( esc_html__( 'Sale!', 'cena' ), $percentage, $html );
    }
}

/*Remove related products*/

remove_action( 'woocommerce_after_single_product_summary', 'woocommerce_output_related_products', 20 );
add_action( 'cena_woo_singular_template_main_after', 'woocommerce_output_related_products', 15 );

remove_action( 'woocommerce_after_single_product_summary', 'woocommerce_upsell_display', 15 );
add_action( 'cena_woo_singular_template_main_after', 'woocommerce_upsell_display', 10 );

if ( wp_is_mobile() ) {
    add_filter ('woocommerce_add_to_cart_redirect', function() {
        return wc_get_cart_url();
      } );
}

if ( ! function_exists( 'cena_ajax_product_remove' ) ) {

    // Remove product in the cart using ajax
    function cena_ajax_product_remove()
    {
        // Get mini cart
        ob_start();

        foreach (WC()->cart->get_cart() as $cart_item_key => $cart_item)
        {
            if($cart_item['product_id'] == $_POST['product_id'] && $cart_item_key == $_POST['cart_item_key'] )
            {
                WC()->cart->remove_cart_item($cart_item_key);
            }
        }

        WC()->cart->calculate_totals();
        WC()->cart->maybe_set_cart_cookies();

        woocommerce_mini_cart();

        $mini_cart = ob_get_clean();

        // Fragments and mini cart are returned
        $data = array(
            'fragments' => apply_filters( 'woocommerce_add_to_cart_fragments', array(
                    'div.widget_shopping_cart_content' => '<div class="widget_shopping_cart_content">' . $mini_cart . '</div>'
                )
            ),
            'cart_hash' => apply_filters( 'woocommerce_add_to_cart_hash', WC()->cart->get_cart_for_session() ? md5( json_encode( WC()->cart->get_cart_for_session() ) ) : '', WC()->cart->get_cart_for_session() )
        );

        wp_send_json( $data );

        die();
    }

    add_action( 'wp_ajax_product_remove', 'cena_ajax_product_remove' );
    add_action( 'wp_ajax_nopriv_product_remove', 'cena_ajax_product_remove' );
}

/*product time countdown*/
if(!function_exists('cena_woo_product_single_time_countdown')){

    add_action( 'woocommerce_single_product_summary', 'cena_woo_product_single_time_countdown', 25 );

    function cena_woo_product_single_time_countdown() {

        $style_countdown   = cena_tbay_get_config('show_product_countdown',false);

        if ( isset($_GET['countdown']) ) {
            $countdown = $_GET['countdown'];
        }else {
            $countdown = $style_countdown;
        }  

        if(!$countdown) {
          return '';
        }

        global $product;
        wp_enqueue_script( 'jquery-countdowntimer' );
        $time_sale = get_post_meta( $product->get_id(), '_sale_price_dates_to', true );
        ?>
        <?php if ( $time_sale ): ?>
          <div class="time tbay-single-time">
                <div class="tbay-countdown" data-time="timmer"
                   data-date="<?php echo date('m', $time_sale).'-'.date('d', $time_sale).'-'.date('Y', $time_sale).'-'. date('H', $time_sale) . '-' . date('i', $time_sale) . '-' .  date('s', $time_sale) ; ?>">
              </div>
          </div> 
        <?php endif; ?> 
        <?php
    }
}

/*product nav*/

if(!function_exists('cena_render_product_nav')){
    function cena_render_product_nav($post, $position){
        if($post){
            $product = wc_get_product($post->ID);
            $img = '';
            if(has_post_thumbnail($post)){
                $img = get_the_post_thumbnail($post, 'shop_thumbnail');
            }
            $link = get_permalink($post);
            echo "<div class='{$position} psnav'>";
            echo "<a class='img-link' href=\"{$link}\">";
             echo ($position == 'left')? $img : '';   
            echo "</a>"; 
            echo "  <div class='product_single_nav_inner single_nav'>
                        <a href=\"{$link}\">
                            <span class='name-pr'>{$post->post_title}</span>
                        </a>
                    </div>";
            echo "<a class='img-link' href=\"{$link}\">";        
              echo ($position == 'right') ? $img:'';    
            echo "</a>"; 
            echo "</div>";
        }
    }
}

if(!function_exists('cena_woo_product_nav')){
    function cena_woo_product_nav(){

      $product_nav   =      cena_tbay_get_config('show_product_nav',false);

      if($product_nav) {
          $prev = get_previous_post();
          $next = get_next_post();

            echo '<div class="product-nav pull-right">';  
            echo '<div class="link-images visible-lg">';
              cena_render_product_nav($prev, 'left');
              cena_render_product_nav($next, 'right');
            echo '</div>';



            echo '</div>';
        }
    }

    add_action( 'woocommerce_before_single_product', 'cena_woo_product_nav', 1 );
}

/*Product thumbnail style*/
if ( !function_exists('cena_tbay_woocommerce_images_layout_product') ) {
    function cena_tbay_woocommerce_images_layout_product($images_layout) {
          $sidebar_configs        = cena_tbay_get_woocommerce_layout_configs();
          $style_single_product   = cena_tbay_get_config('style_single_product','horizontal');

          if ( isset($_GET['style_single_product']) ) {
              $images_layout = $_GET['style_single_product'];
          }else {
              $images_layout = $style_single_product;
          }  

          return $images_layout;
    }
}

add_filter( 'woo_images_layout_single_product', 'cena_tbay_woocommerce_images_layout_product' );

// Number of products per page
if ( !function_exists('cena_tbay_woocommerce_class_single_product') ) {
    function cena_tbay_woocommerce_class_single_product($styles) {

        $images_layout   =  apply_filters( 'woo_images_layout_single_product', 10, 2 );

        if(isset($images_layout)) {
            $styles = 'style-'.$images_layout;
        }

        return $styles;
    }
}
add_filter( 'woo_class_single_product', 'cena_tbay_woocommerce_class_single_product' );

/*Add video to product detail*/
if ( !function_exists('cena_tbay_woocommerce_add_video_field') ) {
  add_action( 'woocommerce_product_options_general_product_data', 'cena_tbay_woocommerce_add_video_field' );

  function cena_tbay_woocommerce_add_video_field(){

    $args = apply_filters( 'cena_tbay_woocommerce_simple_url_video_args', array(
        'id' => '_video_url',
        'label' => esc_html__('Featured Video URL', 'cena'),
        'placeholder' => esc_html__('Video URL', 'cena'),
        'desc_tip' => true,
        'description' => esc_html__('Enter the video url at https://vimeo.com/ or https://www.youtube.com/', 'cena'))
    );

    echo '<div class="options_group">';

    woocommerce_wp_text_input( $args ) ;

    echo '</div>';
  }
}

if ( !function_exists('cena_tbay_save_video_url') ) {
  add_action( 'woocommerce_process_product_meta', 'cena_tbay_save_video_url', 10, 2 );
  function cena_tbay_save_video_url( $post_id, $post ) {
      if ( isset( $_POST['_video_url'] ) ) {
          update_post_meta( $post_id, '_video_url', esc_attr( $_POST['_video_url'] ) );
      }
  }
}

if ( !function_exists('cena_tbay_VideoUrlType') ) {
  function cena_tbay_VideoUrlType($url) {


      $yt_rx = '/^((?:https?:)?\/\/)?((?:www|m)\.)?((?:youtube\.com|youtu.be))(\/(?:[\w\-]+\?v=|embed\/|v\/)?)([\w\-]+)(\S+)?$/';
      $has_match_youtube = preg_match($yt_rx, $url, $yt_matches);


      $vm_rx = '/(https?:\/\/)?(www\.)?(player\.)?vimeo\.com\/([a-z]*\/)*([‌​0-9]{6,11})[?]?.*/';
      $has_match_vimeo = preg_match($vm_rx, $url, $vm_matches);


      //Then we want the video id which is:
      if($has_match_youtube) {
          $video_id = $yt_matches[5]; 
          $type = 'youtube';
      }
      elseif($has_match_vimeo) {
          $video_id = $vm_matches[5];
          $type = 'vimeo';
      }
      else {
          $video_id = 0;
          $type = 'none';
      }


      $data['video_id'] = $video_id;
      $data['video_type'] = $type;

      return $data;
  }
}

if ( !function_exists('cena_tbay_get_video_product') ) {
  add_action( 'tbay_product_video', 'cena_tbay_get_video_product', 10 );
  function  cena_tbay_get_video_product() {
    global $post, $product;


    if( get_post_meta( $post->ID, '_video_url', true ) ) {
      $video = cena_tbay_VideoUrlType(get_post_meta( $post->ID, '_video_url', true ));

      if( $video['video_type'] == 'youtube' ) {
        $url  = 'https://www.youtube.com/embed/'.$video['video_id'].'?autoplay=1';
        $icon = '<i class="fa fa-youtube-play" aria-hidden="true"></i>'.esc_html__('View Video','cena');

      }elseif(( $video['video_type'] == 'vimeo' )) {
        $url = 'https://player.vimeo.com/video/'.$video['video_id'].'?autoplay=1';
        $icon = '<i class="fa fa-youtube-play" aria-hidden="true"></i>'.esc_html__('View Video','cena');

      }

    }

    ?>

    <?php if( !empty($url) ) : ?>

      <div class="modal fade" id="productvideo">
        <div class="modal-dialog">
          <div class="modal-content tbay-modalContent">

            <div class="modal-body">
              
              <div class="close-button">
              <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
              </div>
              <div class="embed-responsive embed-responsive-16by9">
                          <iframe class="embed-responsive-item" frameborder="0"></iframe>
              </div>
            </div>

          </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
      </div><!-- /.modal -->

      <button type="button" class="tbay-modalButton" data-toggle="modal" data-tbaySrc="<?php echo esc_attr($url); ?>" data-tbayWidth="640" data-tbayHeight="480" data-target="#productvideo"  data-tbayVideoFullscreen="true"><?php echo $icon; ?></button>

    <?php endif; ?>
  <?php
  }
}

if( ! function_exists( 'cena_compare_styles' ) ) {
    add_action( 'wp_print_styles', 'cena_compare_styles', 200 );
    function cena_compare_styles() {
        if( ! class_exists( 'YITH_Woocompare' ) ) return;
        $view_action = 'yith-woocompare-view-table';
        if ( ( ! defined('DOING_AJAX') || ! DOING_AJAX ) && ( ! isset( $_REQUEST['action'] ) || $_REQUEST['action'] != $view_action ) ) return;
        wp_enqueue_style( 'font-awesome' );
        wp_enqueue_style( 'simple-line-icons' );
        wp_enqueue_style( 'cena-woocommerce' );
    }
}