<?php
/**
 * Add payment method form form
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.0.2
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}
if ( $available_gateways = WC()->payment_gateways->get_available_payment_gateways() ) : ?>
	<form id="add_payment_method" method="post">
		<div id="payment" class="widget">
			<ul class="payment_methods methods clear-list">
				<?php
					// Chosen Method
					if ( sizeof( $available_gateways ) )
						current( $available_gateways )->set_current();

					foreach ( $available_gateways as $gateway ) {
						?>
						<li class="radio payment_method_<?php echo esc_attr($gateway->id); ?>">
							<label for="payment_method_<?php echo esc_attr($gateway->id); ?>">
								<?php echo trim( $gateway->get_title() ); ?> <?php echo trim( $gateway->get_icon() ); ?>
								<input id="payment_method_<?php echo esc_attr($gateway->id); ?>" type="radio" class="input-radio" name="payment_method" value="<?php echo esc_attr( $gateway->id ); ?>" <?php checked( $gateway->chosen, true ); ?> />
							</label>
							<?php
								if ( $gateway->has_fields() || $gateway->get_description() ) {
									echo '<div class="payment_box payment_method_' . esc_attr( $gateway->id ) . '" style="display:none;">';
									$gateway->payment_fields();
									echo '</div>';
								}
							?>
						</li>
						<?php
					}
				?>
			</ul>

			<div class="form-group">
				<?php wp_nonce_field( 'woocommerce-add-payment-method' ); ?>
				<input type="submit" class="button alt" id="place_order" value="<?php esc_html_e( 'Add Payment Method', 'cena' ); ?>" />
				<input type="hidden" name="woocommerce_add_payment_method" value="1" />
			</div>

		</div>

	</form>
<?php else : ?>
	<p class="woocommerce-notice woocommerce-notice--info woocommerce-info"><?php esc_html_e( 'Sorry, it seems that there are no payment methods which support adding a new payment method. Please contact us if you require assistance or wish to make alternate arrangements.', 'cena' ); ?></p>
<?php endif; ?>